Bug 202469 - CVE-2006-3467 Xorg PCF handling Integer overflow
Summary: CVE-2006-3467 Xorg PCF handling Integer overflow
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: xorg-x11   
(Show other bugs)
Version: 4.0
Hardware: All Linux
high
high
Target Milestone: ---
: ---
Assignee: Søren Sandmann Pedersen
QA Contact:
URL:
Whiteboard: impact=important,source=vendorsec,rep...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-08-14 17:56 UTC by Josh Bressers
Modified: 2014-06-18 09:08 UTC (History)
2 users (show)

Fixed In Version: RHSA-2006-0634
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-21 23:05:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Demo font file (63.95 KB, application/x-font-pcf)
2006-08-16 00:42 UTC, Josh Bressers
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0634 normal SHIPPED_LIVE Important: xorg-x11 security update 2006-08-21 04:00:00 UTC

Description Josh Bressers 2006-08-14 17:56:49 UTC
An integer overflow was discovered in the way freetype processes malformed PCF
files.  It seems that Xorg also contains the same PCF processing code as
freetype, there it too is vulnerable this issue.

We initally described this issue for freetype in bug 190593.

The upstream bug is here:
https://bugs.freedesktop.org/show_bug.cgi?id=7535

Comment 1 Josh Bressers 2006-08-14 18:09:52 UTC
The upstream patch is attachment 134155 [details]

Comment 2 Søren Sandmann Pedersen 2006-08-15 17:25:54 UTC
New packages:

xorg-x11-6.8.2-1.EL.13.37

Comment 4 Josh Bressers 2006-08-16 00:42:41 UTC
Created attachment 134276 [details]
Demo font file

Comment 8 Red Hat Bugzilla 2006-08-21 23:05:47 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0634.html



Note You need to log in before you can comment on or make changes to this bug.